summaryrefslogtreecommitdiffstats
path: root/filehooker
diff options
context:
space:
mode:
authormakefu <github@syntax-fehler.de>2014-03-24 17:47:27 +0100
committermakefu <github@syntax-fehler.de>2014-03-24 17:47:27 +0100
commit1eb87410a884f03dd80cec59f185a53f6162050c (patch)
tree7d6bff335003db207812c2d3dabc723afb512e29 /filehooker
parent5cc42ea1134afb1762c8f21cf31c6285b7dc70b4 (diff)
add filehooker download manager
Diffstat (limited to 'filehooker')
-rwxr-xr-xfilehooker/root-image/krebs/etc/Reaktor/commands/ftpget20
-rwxr-xr-xfilehooker/root-image/krebs/etc/Reaktor/commands/list_downloads8
2 files changed, 28 insertions, 0 deletions
diff --git a/filehooker/root-image/krebs/etc/Reaktor/commands/ftpget b/filehooker/root-image/krebs/etc/Reaktor/commands/ftpget
new file mode 100755
index 00000000..a0340354
--- /dev/null
+++ b/filehooker/root-image/krebs/etc/Reaktor/commands/ftpget
@@ -0,0 +1,20 @@
+#!/bin/sh
+exec 2>&1
+set -euf
+ncdc_user=hooker
+
+
+target="${1:-}"
+if !( echo "$target" | egrep -q '^(ftp://|http://)' );then
+ echo "target must be ftp:// or http://"
+ exit 23
+fi
+
+share=$( printf "%s" "${2?provide share name}" |head -1 | sed 's#\.\./##')
+sharepath=/media/${share%%/*}
+realshare="/media/$share"
+test ! -e "$sharepath" && echo "$sharepath does not exist!" && exit 23
+
+sudo -u $ncdc_user /usr/bin/mkdir -p "$realshare"
+sudo -u $ncdc_user /usr/bin/tmux new-window -t dcpp -c "$realshare" "lftpget \"$target\""
+echo "download started"
diff --git a/filehooker/root-image/krebs/etc/Reaktor/commands/list_downloads b/filehooker/root-image/krebs/etc/Reaktor/commands/list_downloads
new file mode 100755
index 00000000..cb1e07be
--- /dev/null
+++ b/filehooker/root-image/krebs/etc/Reaktor/commands/list_downloads
@@ -0,0 +1,8 @@
+#!/bin/sh
+ncdc_user=hooker
+count=$(sudo -u $ncdc_user /usr/bin/tmux list-windows -t dl 2>/dev/null| wc -l)
+
+test $count -eq 0 && echo "no downloads running" && exit 0
+for i in $(seq 0 $(($count-1)));do
+ sudo -u $ncdc_user /usr/bin/tmux capture-pane -t dl:$i -p |head -1
+done